Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define java6     0
%define browser_js %{?_with_browser_js:1}%{!?_with_browser_js:%{?_without_browser_js:0}%{!?_without_browser_js:%{?_browser_js:%{_browser_js}}%{!?_browser_js:0}}}


Name:           jsr223-scripting-engines
Version:        1.0
Release:        alt2_0.20080819.1jpp5
Epoch:          0
Summary:        ScriptEngine Implementations

Group:          Development/Java
License:        BSD
URL:            https://scripting.dev.java.net/
Source0:        jsr223-scripting-engines.tar.gz
# Steps to reproduce
# cvs -d :pserver:guest@cvs.dev.java.net:/cvs login
# cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -r HEAD scripting/engines
Patch0:         jsr223-scripting-engines-jruby-build.patch
Patch1:         jsr223-scripting-engines-browserjs-build.patch
Patch2:         jsr223-scripting-engines-build-noplugin.patch


BuildArch:      noarch
BuildRequires: jpackage-utils >= 0:1.7.5
%if %{browser_js}
BuildRequires: java-plugin >= 0:1.5.0
%endif
BuildRequires: ant >= 0:1.6.5

BuildRequires: aqute-bndlib
BuildRequires: asm2
BuildRequires: backport-util-concurrent
BuildRequires: bsh2 >= 0:2.0-0.b5
BuildRequires: freemarker
BuildRequires: groovy11
BuildRequires: jacl
BuildRequires: jaskell
BuildRequires: jfunutil
BuildRequires: jparsec
BuildRequires: rhino
BuildRequires: jawk

BuildRequires: jakarta-commons-beanutils
BuildRequires: jakarta-commons-cli
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-discovery
BuildRequires: jakarta-commons-jelly
BuildRequires: jakarta-commons-jelly-tags-bean
BuildRequires: jakarta-commons-jelly-tags-define
BuildRequires: jakarta-commons-jelly-tags-dynabean
BuildRequires: jakarta-commons-jelly-tags-fmt
BuildRequires: jakarta-commons-jelly-tags-interaction
BuildRequires: jakarta-commons-jelly-tags-junit
BuildRequires: jakarta-commons-jelly-tags-log
BuildRequires: jakarta-commons-jelly-tags-swing
BuildRequires: jakarta-commons-jelly-tags-util
BuildRequires: jakarta-commons-jelly-tags-xml
BuildRequires: jakarta-commons-jexl
BuildRequires: jakarta-commons-lang
BuildRequires: jakarta-commons-logging
BuildRequires: dom4j
BuildRequires: forehead
BuildRequires: jaxen
BuildRequires: jakarta-taglibs-standard
BuildRequires: junit
BuildRequires: script_1_0_api
BuildRequires: servlet_2_3_api
BuildRequires: xerces-j2
BuildRequires: xml-commons-jaxp-1.3-apis

BuildRequires: jama
BuildRequires: jep
BuildRequires: jruby
BuildRequires: jruby-bytelist
BuildRequires: judoscript
BuildRequires: juel
BuildRequires: jython
BuildRequires: ognl
BuildRequires: pnuts
BuildRequires: sisc
BuildRequires: velocity


Requires: aqute-bndlib

Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
The Scripting Framework also supports third-party Script 
Engines that implement the JSR 223 Scripting APIs. The 
primary purpose of this project is to provide ScriptEngine 
implementations that developers can use in their Java 
Applications. Developers can also use the Script Engines 
as examples of how to implement the Scripting APIs using 
their own Java-based Scripting implementations.

%package bsh
Summary:        Beanshell Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: bsh2 >= 0:2.0-0.b5
Requires: script_1_0_api

%description bsh
%{summary}.

%if %{browser_js}
%package browserjs
Summary:        Browser Javascript Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: script_1_0_api
Requires: java-plugin

%description browserjs
%{summary}.
%endif

%package freemarker
Summary:        Freemarker Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: freemarker
Requires: script_1_0_api

%description freemarker
%{summary}.

%package groovy
Summary:        Groovy Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groovy11
Requires: script_1_0_api

%description groovy
%{summary}.

%package jacl
Summary:        Jacl Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jacl
Requires: script_1_0_api

%description jacl
%{summary}.

%package jaskell
Summary:        Jaskell Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jaskell
Requires: script_1_0_api

%description jaskell
%{summary}.

%if %{java6}
%package java
Summary:        Java Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: script_1_0_api

%description java
%{summary}.
%endif

%package js
Summary:        Javascript Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: rhino
Requires: script_1_0_api

%description js
%{summary}.

%package jawk
Summary:        Jawk Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jawk
Requires: script_1_0_api

%description jawk
%{summary}.

%package jelly
Summary:        Jelly Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: dom4j
Requires: forehead
Requires: jakarta-commons-beanutils16
Requires: jakarta-commons-cli
Requires: jakarta-commons-collections
Requires: jakarta-commons-discovery
Requires: jakarta-commons-jelly
Requires: jakarta-commons-jelly-tags-bean
Requires: jakarta-commons-jelly-tags-define
Requires: jakarta-commons-jelly-tags-dynabean
Requires: jakarta-commons-jelly-tags-fmt
Requires: jakarta-commons-jelly-tags-interaction
Requires: jakarta-commons-jelly-tags-junit
Requires: jakarta-commons-jelly-tags-log
Requires: jakarta-commons-jelly-tags-swing
Requires: jakarta-commons-jelly-tags-util
Requires: jakarta-commons-jelly-tags-xml
Requires: jakarta-commons-jexl
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: jakarta-taglibs-standard
Requires: jaxen
Requires: script_1_0_api
Requires: servlet_2_3_api
Requires: xerces-j2
Requires: xml-commons-jaxp-1.3-apis

%description jelly
%{summary}.

%package jep
Summary:        JEP Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jep
Requires: script_1_0_api

%description jep
%{summary}.

%package jexl
Summary:        Jexl Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jakarta-commons-jexl
Requires: jakarta-commons-logging
Requires: script_1_0_api

%description jexl
%{summary}.

%package jruby
Summary:        JRuby Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: asm2
Requires: backport-util-concurrent
Requires: jruby
Requires: jruby-bytelist
Requires: script_1_0_api

%description jruby
%{summary}.

%package judo
Summary:        Judoscript Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: judoscript
Requires: script_1_0_api

%description judo
%{summary}.

%package juel
Summary:        Juel Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: juel
Requires: script_1_0_api

%description juel
%{summary}.

%package jython
Summary:        Jython Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jython
Requires: script_1_0_api

%description jython
%{summary}.

%package ognl
Summary:        OGNL Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: ognl
Requires: script_1_0_api

%description ognl
%{summary}.

%package pnuts
Summary:        Pnuts Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pnuts
Requires: script_1_0_api

%description pnuts
%{summary}.

%package scheme
Summary:        Scheme Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: script_1_0_api
Requires: sisc

%description scheme
%{summary}.

%package velocity
Summary:        Velocity Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: script_1_0_api
Requires: velocity

%description velocity
%{summary}.

%package xpath
Summary:        XPath Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: script_1_0_api

%description xpath
%{summary}.

%package xslt
Summary:        XSLT Engine for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: script_1_0_api

%description xslt
%{summary}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description    javadoc
%{summary}.


%prep
%setup -q  -c
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath aqute-bndlib) scripting/engines/bnd-0.0.249.jar

ln -sf $(build-classpath bsh2/bsh) scripting/engines/beanshell/lib/bsh-2.0b5.jar

ln -sf $(build-classpath freemarker) scripting/engines/freemarker/lib/freemarker.jar

ln -sf $(build-classpath groovy11-all) scripting/engines/groovy/lib/groovy-all-1.5.6.jar

ln -sf $(build-classpath jacl/jacl) scripting/engines/jacl/lib/jacl.jar
ln -sf $(build-classpath jacl/tcljava) scripting/engines/jacl/lib/tcljava.jar

ln -sf $(build-classpath jaskell) scripting/engines/jaskell/lib/jaskell-1.0.jar
ln -sf $(build-classpath jfunutil) scripting/engines/jaskell/lib/jfunutil.jar
ln -sf $(build-classpath jparsec) scripting/engines/jaskell/lib/jparsec.jar

ln -sf $(build-classpath js) scripting/engines/javascript/lib/js.jar

ln -sf $(build-classpath jawk) scripting/engines/jawk/lib/jawk.0_14.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jawk/lib/jawk.0_14.jar.no
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jawk/lib/jawk_ex.0_14.jar.no

ln -sf $(build-classpath commons-beanutils16) scripting/engines/jelly/lib/commons-beanutils-1.6.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-beanutils-1.6.jar.no
ln -sf $(build-classpath commons-cli) scripting/engines/jelly/lib/commons-cli-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-cli-1.0.jar.no
ln -sf $(build-classpath commons-collections) scripting/engines/jelly/lib/commons-collections-2.1.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-collections-2.1.jar.no
ln -sf $(build-classpath commons-discovery) scripting/engines/jelly/lib/commons-discovery-20030211.213356.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-discovery-20030211.213356.jar.no
ln -sf $(build-classpath commons-jelly) scripting/engines/jelly/lib/commons-jelly-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-bean) scripting/engines/jelly/lib/commons-jelly-tags-bean-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-bean-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-define) scripting/engines/jelly/lib/commons-jelly-tags-define-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-define-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-dynabean) scripting/engines/jelly/lib/commons-jelly-tags-dynabean-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-dynabean-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-fmt) scripting/engines/jelly/lib/commons-jelly-tags-fmt-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-fmt-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-interaction) scripting/engines/jelly/lib/commons-jelly-tags-interaction-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-interaction-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-junit) scripting/engines/jelly/lib/commons-jelly-tags-junit-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-junit-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-log) scripting/engines/jelly/lib/commons-jelly-tags-log-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-log-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-swing) scripting/engines/jelly/lib/commons-jelly-tags-swing-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-swing-1.0.jar.no
ln -sf $(build-classpath commons-jelly-tags-util) scripting/engines/jelly/lib/commons-jelly-tags-util-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-util-1.1.1.jar.no
ln -sf $(build-classpath commons-jelly-tags-xml) scripting/engines/jelly/lib/commons-jelly-tags-xml-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jelly-tags-xml-1.1.jar.no
ln -sf $(build-classpath commons-jexl) scripting/engines/jelly/lib/commons-jexl-1.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-jexl-1.0.jar.no
ln -sf $(build-classpath commons-lang) scripting/engines/jelly/lib/commons-lang-2.0.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-lang-2.0.jar.no
ln -sf $(build-classpath commons-logging) scripting/engines/jelly/lib/commons-logging-1.0.3.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/commons-logging-1.0.3.jar.no
ln -sf $(build-classpath dom4j) scripting/engines/jelly/lib/dom4j-1.5.2.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/dom4j-1.5.2.jar.no
ln -sf $(build-classpath forehead) scripting/engines/jelly/lib/forehead-1.0-beta-5.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/forehead-1.0-beta-5.jar.no
ln -sf $(build-classpath jaxen) scripting/engines/jelly/lib/jaxen-1.1-beta-4.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/jaxen-1.1-beta-4.jar.no
ln -sf $(build-classpath taglibs-core) scripting/engines/jelly/lib/jstl-1.0.6.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/jstl-1.0.6.jar.no
ln -sf $(build-classpath junit) scripting/engines/jelly/lib/junit-3.8.1.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/junit-3.8.1.jar.no
ln -sf $(build-classpath servlet_2_3_api) scripting/engines/jelly/lib/servletapi-2.3.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/servletapi-2.3.jar.no
ln -sf $(build-classpath xerces-j2) scripting/engines/jelly/lib/xerces-2.2.1.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/xerces-2.2.1.jar.no
ln -sf $(build-classpath xml-commons-jaxp-1.3-apis) scripting/engines/jelly/lib/xml-apis-1.0.b2.jar
#BUILD/jsr223-scripting-engines-1.0/scripting/engines/jelly/lib/xml-apis-1.0.b2.jar.no

ln -sf $(build-classpath jep) scripting/engines/jep/lib/jep-2.4.0.jar
ln -sf $(build-classpath jep-ext) scripting/engines/jep/lib/ext-1.1.0.jar
ln -sf $(build-classpath jama) scripting/engines/jep/lib/Jama-1.0.2.jar

ln -sf $(build-classpath commons-jexl) scripting/engines/jexl/lib/commons-jexl-1.0.jar
ln -sf $(build-classpath commons-logging) scripting/engines/jexl/lib/commons-logging-1.0.3.jar

ln -sf $(build-classpath asm2/asm2) scripting/engines/jruby/lib/asm-2.2.3.jar
ln -sf $(build-classpath backport-util-concurrent) scripting/engines/jruby/lib/backport-util-concurrent.jar
ln -sf $(build-classpath jruby) scripting/engines/jruby/lib/jruby.jar
ln -sf $(build-classpath jruby-bytelist) scripting/engines/jruby/lib/jruby-bytelist.jar

ln -sf $(build-classpath judoscript) scripting/engines/judo/lib/judo.jar

ln -sf $(build-classpath juel) scripting/engines/juel/lib/juel-2.1.0-rc2.jar

ln -sf $(build-classpath jython) scripting/engines/jython/lib/jython.jar

ln -sf $(build-classpath ognl) scripting/engines/ognl/lib/ognl-2.6.9.jar

ln -sf $(build-classpath pnuts) scripting/engines/pnuts/lib/pnuts.jar
ln -sf $(build-classpath pnuts-modules) scripting/engines/pnuts/lib/pnuts-modules.jar

ln -sf $(build-classpath sisc) scripting/engines/scheme/lib/sisc.jar
ln -sf $(build-classpath sisc-lib) scripting/engines/scheme/lib/sisc-lib.jar
ln -sf $(build-classpath sisc-opt) scripting/engines/scheme/lib/sisc-opt.jar
cp %{_datadir}/sisc/sisc.shp scripting/engines/scheme/lib/sisc.php

ln -sf $(build-classpath velocity) scripting/engines/velocity/lib/velocity-dep-1.5.jar

%patch0 -b .sav0
%if ! %{browser_js}
%patch1 -b .sav1
%patch2 -b .noplugin
%endif

%build
cd scripting/engines
ant -Djsr223.jar=$(build-classpath script_1_0_api)

%install
cd scripting/engines
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/scripting-engines
install -m 644 beanshell/build/bsh-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/bsh-engine-%{version}.jar
%add_to_maven_depmap javax.script bsh-engine %{version} JPP/scripting-engines bsh-engine
%if %{browser_js}
install -m 644 browserjs/build/browserjs-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/browserjs-engine-%{version}.jar
%add_to_maven_depmap javax.script browserjs-engine %{version} JPP/scripting-engines browserjs-engine
%endif
install -m 644 freemarker/build/freemarker-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/freemarker-engine-%{version}.jar
%add_to_maven_depmap javax.script freemarker-engine %{version} JPP/scripting-engines freemarker-engine
install -m 644 groovy/build/groovy-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/groovy-engine-%{version}.jar
%add_to_maven_depmap javax.script groovy-engine %{version} JPP/scripting-engines groovy-engine
install -m 644 jacl/build/jacl-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jacl-engine-%{version}.jar
%add_to_maven_depmap javax.script jacl-engine %{version} JPP/scripting-engines jacl-engine
install -m 644 jaskell/build/jaskell-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jaskell-engine-%{version}.jar
%add_to_maven_depmap javax.script jaskell-engine %{version} JPP/scripting-engines jaskell-engine
%if %{java6}
install -m 644 java/build/java-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/java-engine-%{version}.jar
%add_to_maven_depmap javax.script java-engine %{version} JPP/scripting-engines java-engine
%endif
install -m 644 javascript/build/js-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/js-engine-%{version}.jar
%add_to_maven_depmap javax.script js-engine %{version} JPP/scripting-engines js-engine
install -m 644 jawk/build/jawk-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jawk-engine-%{version}.jar
%add_to_maven_depmap javax.script jawk-engine %{version} JPP/scripting-engines jawk-engine
install -m 644 jelly/build/jelly-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jelly-engine-%{version}.jar
%add_to_maven_depmap javax.script jelly-engine %{version} JPP/scripting-engines jelly-engine
install -m 644 jep/build/jep-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jep-engine-%{version}.jar
%add_to_maven_depmap javax.script jep-engine %{version} JPP/scripting-engines jep-engine
install -m 644 jexl/build/jexl-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jexl-engine-%{version}.jar
%add_to_maven_depmap javax.script jexl-engine %{version} JPP/scripting-engines jexl-engine
install -m 644 jruby/build/jruby-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jruby-engine-%{version}.jar
%add_to_maven_depmap javax.script jruby-engine %{version} JPP/scripting-engines jruby-engine
install -m 644 judo/build/judo-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/judo-engine-%{version}.jar
%add_to_maven_depmap javax.script judo-engine %{version} JPP/scripting-engines judo-engine
install -m 644 juel/build/juel-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/juel-engine-%{version}.jar
%add_to_maven_depmap javax.script juel-engine %{version} JPP/scripting-engines juel-engine
install -m 644 jython/build/jython-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/jython-engine-%{version}.jar
%add_to_maven_depmap javax.script jython-engine %{version} JPP/scripting-engines jython-engine
install -m 644 ognl/build/ognl-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/ognl-engine-%{version}.jar
%add_to_maven_depmap javax.script ognl-engine %{version} JPP/scripting-engines ognl-engine
install -m 644 pnuts/build/pnuts-jsr223.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/pnuts-jsr223-%{version}.jar
%add_to_maven_depmap javax.script pnuts-jsr223 %{version} JPP/scripting-engines pnuts-jsr223
install -m 644 scheme/build/scheme-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/scheme-engine-%{version}.jar
%add_to_maven_depmap javax.script scheme-engine %{version} JPP/scripting-engines scheme-engine
install -m 644 velocity/build/velocity-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/velocity-engine-%{version}.jar
%add_to_maven_depmap javax.script velocity-engine %{version} JPP/scripting-engines velocity-engine
install -m 644 xpath/build/xpath-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/xpath-engine-%{version}.jar
%add_to_maven_depmap javax.script xpath-engine %{version} JPP/scripting-engines xpath-engine
install -m 644 xslt/build/xslt-engine.jar \
  $RPM_BUILD_ROOT%{_javadir}/scripting-engines/xslt-engine-%{version}.jar
%add_to_maven_depmap javax.script xslt-engine %{version} JPP/scripting-engines xslt-engine

(cd $RPM_BUILD_ROOT%{_javadir}/scripting-engines && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%files
%{_mavendepmapfragdir}/*
%dir %{_javadir}/scripting-engines

%files bsh
%{_javadir}/scripting-engines/bsh-engine*.jar

%if %{browser_js}
%files browserjs
%{_javadir}/scripting-engines/browserjs-engine*.jar
%endif

%files freemarker
%{_javadir}/scripting-engines/freemarker-engine*.jar

%files groovy
%{_javadir}/scripting-engines/groovy-engine*.jar

%files jacl
%{_javadir}/scripting-engines/jacl-engine*.jar

%files jaskell
%{_javadir}/scripting-engines/jaskell-engine*.jar

%if %{java6}
%files java
%{_javadir}/scripting-engines/java-engine*.jar
%endif

%files js
%{_javadir}/scripting-engines/js-engine*.jar

%files jawk
%{_javadir}/scripting-engines/jawk-engine*.jar

%files jelly
%{_javadir}/scripting-engines/jelly-engine*.jar

%files jep
%{_javadir}/scripting-engines/jep-engine*.jar

%files jexl
%{_javadir}/scripting-engines/jexl-engine*.jar

%files jruby
%{_javadir}/scripting-engines/jruby-engine*.jar

%files judo
%{_javadir}/scripting-engines/judo-engine*.jar

%files juel
%{_javadir}/scripting-engines/juel-engine*.jar

%files jython
%{_javadir}/scripting-engines/jython-engine*.jar

%files ognl
%{_javadir}/scripting-engines/ognl-engine*.jar

%files pnuts
%{_javadir}/scripting-engines/pnuts-jsr223*.jar

%files scheme
%{_javadir}/scripting-engines/scheme-engine*.jar

%files velocity
%{_javadir}/scripting-engines/velocity-engine*.jar

%files xpath
%{_javadir}/scripting-engines/xpath-engine*.jar

%files xslt
%{_javadir}/scripting-engines/xslt-engine*.jar


%changelog
* Wed May 12 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_0.20080819.1jpp5
- fixes for java6 support

* Mon Mar 30 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.20080819.1jpp5
- new version

